For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • POSTRemoves a tag from all private tasks.
      • GETReturns all tags of the private tasks of the current user.
      • POSTUpdates a tag for all private tasks.
      • POSTRemoves a tag from all project tasks.
      • GETReturns all task tags that are currently in use by tasks.
      • POSTUpdates a tag globally for all project tasks.
      • POSTAdds a batch of tags to the task with the specified id.
      • POSTRemoves tags from the task with the specified id.
      • GETReturns the tags of the task with the specified id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Tags

Updates a tag globally for all project tasks.

POST
https://api.awork.com/api/v1/tasks/updatetags
POST
/api/v1/tasks/updatetags
$curl -X POST https://api.awork.com/api/v1/tasks/updatetags \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "oldTagName": "Design",
> "newTag": {
> "name": "Design"
> }
>}'
1{}
Updates a tag for all project tasks. <Check title="Required Permissions" icon="key">The user must be an admin or have `project-planning-data:write` permissions.</Check>
Was this page helpful?
Previous

Adds a batch of tags to the task with the specified id.

Next
Built with

Updates a tag for all project tasks.

Required Permissions
The user must be an admin or have project-planning-data:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

The model to update the tag including the old and new tag names.
oldTagNamestringRequired>=1 character
The old name of the tag.
newTagobjectRequired
shouldMergeboolean or nullOptional
If true, merge the tags if they already exist. If false, throw an error if the tag already exists.

Response

Multi-Status

Errors

400
Bad Request Error